## sshfp 1.1.3

=== Makefile ===
#
# A basic Makefile for sshfp
# by Jacob Appelbaum <jacob@appelbaum.net>
#
#

BIN     = $(DESTDIR)/usr/bin
MAN     = $(DESTDIR)/usr/share/man/man1

all: man-page
	
install:
	install -d 0755 $(BIN)
	install -m 0755 sshfp $(BIN)
	install -d 0755 $(MAN)
	install -m 0644 sshfp.1 $(MAN)
	gzip $(MAN)/sshfp.1

man-page:
	nroff -man sshfp.1 > sshfp.1.txt

clean:
	rm sshfp.1.txt

dist-clean:
	@echo Nothing to dist-clean - This is a python script

=== debian/changelog ===
sshfp (1.1.3-2) unstable; urgency=low

  * Updated for new Debian policy 3.8.3 (no changes needed)
  * Converted to 3.0 (quilt) source package format
  * Switched from SVN to GIT - updated VCS-* fields
  * Make use of dh override feature

 -- Julien Valroff <julien@kirya.net>  Fri, 01 Jan 2010 18:55:15 +0100

sshfp (1.1.3-1) unstable; urgency=low

  [ Julien Valroff ]
  * First upload to Debian (Closes: #413240)

  [ Maximiliano Curia ]
  * Added 001_makefile.dpatch, to fix some erroneous directory creation.
  * Added 002_manpage.dpatch, to change some erroneous comment lines.
  * Added Maximiliano Curia as Uploader.

 -- Julien Valroff <julien@kirya.net>  Wed, 09 Jul 2008 17:40:38 +0200

=== debian/control ===
Source: sshfp
Section: net
Priority: extra
Maintainer: Julien Valroff <julien@kirya.net>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: debhelper (>= 7.0.50~), python-support (>= 0.3)
Homepage: http://www.xelerance.com/software/sshfp/
Vcs-Git: git://git.kirya.net/git/sshfp
Vcs-Browser: http://git.kirya.net/?p=sshfp.git;a=summary
Standards-Version: 3.8.3

Package: sshfp
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-dnspython, openssh-client
XB-Python-Version: ${python:Versions}
Description: DNS SSHFP records generator
 sshfp generates RFC4255 SSHFP DNS records based on the public keys stored in
 a known_hosts file, or public keys can be obtained by using ssh-keyscan.
 Serve these entries from the DNS server for your domain to provide
 authentication via the ssh VerifyHostKeyDNS option.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_clean:
	[ ! -f sshfp.1.txt ] || $(MAKE) clean

=== debian/watch ===
version=2
http://www.xelerance.com/software/sshfp/ sshfp-(.*).tar.gz debian uupdate

## sshfp 1.1.6

=== Makefile ===
#
# A basic Makefile for sshfp
#

BIN     = $(DESTDIR)/usr/bin
MAN     = $(DESTDIR)/usr/share/man/man1

all: man
	
install:
	install -m 0755 -d $(BIN)
	install -m 0755 sshfp $(BIN)
	install -m 0755 -d $(MAN)
	install -m 0644 sshfp.1 $(MAN)
	gzip $(MAN)/sshfp.1

sshfp.1: sshfp.1.xml
	xmlto man sshfp.1.xml

man:	man-page
man-page: sshfp.1

clean:
	-rm -f sshfp.1

dist-clean:
	@echo Nothing to dist-clean - This is a python script

=== debian/changelog ===
sshfp (1.1.6-2) unstable; urgency=low

  * Fix watch file for new upstream website 
  * Update my email address

 -- Julien Valroff <julien@debian.org>  Mon, 08 Nov 2010 21:43:10 +0100

sshfp (1.1.6-1) unstable; urgency=low

  * New upstream release
  * Drop patches merged upstream
  * Add build-depends on xmlto 
  * Add patch to use the manpage from the orig tarball 
  * Pass --unapply-patches to dpkg-source before build

 -- Julien Valroff <julien@kirya.net>  Sat, 16 Oct 2010 18:35:10 +0200

sshfp (1.1.3-3) unstable; urgency=low

  * Bump Debian policy version to 3.9.1
  * Add patch to avoid deprecation warnings with python 2.6 (thanks
    to Martin Jackson <mhjacks@swbell.net> for the patch)

 -- Julien Valroff <julien@kirya.net>  Sun, 03 Oct 2010 21:18:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: sshfp
 Section: net
 Priority: extra
-Maintainer: Julien Valroff <julien@kirya.net>
+Maintainer: Julien Valroff <julien@debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), python-support (>= 0.3)
 Homepage: http://www.xelerance.com/software/sshfp/
 Vcs-Git: git://git.kirya.net/git/sshfp
 Vcs-Browser: http://git.kirya.net/?p=sshfp.git;a=summary
-Standards-Version: 3.8.3
+Standards-Version: 3.9.1
 
 Package: sshfp
 Architecture: all
@@ -18,3 +18,4 @@
  a known_hosts file, or public keys can be obtained by using ssh-keyscan.
  Serve these entries from the DNS server for your domain to provide
  authentication via the ssh VerifyHostKeyDNS option.
+

=== debian/watch ===
version=2
ftp://ftp.xelerance.com/sshfp/ sshfp-(.*).tar.gz debian uupdate

## sshfp 1.2.1

=== Makefile ===
--- 
+++ 
@@ -10,18 +10,24 @@
 install:
 	install -m 0755 -d $(BIN)
 	install -m 0755 sshfp $(BIN)
+	install -m 0755 dane $(BIN)
 	install -m 0755 -d $(MAN)
 	install -m 0644 sshfp.1 $(MAN)
+	install -m 0644 dane.1 $(MAN)
 	gzip $(MAN)/sshfp.1
+	gzip $(MAN)/dane.1
 
 sshfp.1: sshfp.1.xml
 	xmlto man sshfp.1.xml
 
+dane.1: dane.1.xml
+	xmlto man dane.1.xml
+
 man:	man-page
-man-page: sshfp.1
+man-page: sshfp.1 dane.1
 
 clean:
-	-rm -f sshfp.1
+	-rm -f sshfp.1 dane.1
 
 dist-clean:
 	@echo Nothing to dist-clean - This is a python script

=== debian/changelog ===
sshfp (1.2.1-1) unstable; urgency=low

  * New upstream release
  * Update copyright information for the new release 
  * Switch from pysupport to dh_python2
  * Update to new policy 3.9.2 (no changes needed)
  * Update VCS fields

 -- Julien Valroff <julien@debian.org>  Mon, 25 Apr 2011 15:11:26 +0200

sshfp (1.1.6-3) unstable; urgency=low

  * Update copyright file to latest DPE-5 revision 
  * Remove unused substvars from control file 
  * Bump debhelper compat to 8 

 -- Julien Valroff <julien@debian.org>  Sat, 12 Feb 2011 15:15:53 +0100

=== debian/control ===
Source: sshfp
Section: net
Priority: extra
Maintainer: Julien Valroff <julien@debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: debhelper (>= 8), python (>= 2.6.6-3)
Homepage: http://www.xelerance.com/software/sshfp/
X-Python-Version: all
Vcs-Git: git://git.kirya.net/debian/sshfp
Vcs-Browser: http://git.kirya.net/?p=debian/sshfp.git;a=summary
Standards-Version: 3.9.2

Package: sshfp
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-dnspython, openssh-client, python-argparse
Description: DNS SSHFP records generator
 sshfp generates RFC4255 SSHFP DNS records based on the public keys stored in
 a known_hosts file, or public keys can be obtained by using ssh-keyscan.
 Serve these entries from the DNS server for your domain to provide
 authentication via the ssh VerifyHostKeyDNS option.
 .
 This package also includes the dane command to generate IETF DANE WG
 DNS records.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python2

override_dh_auto_clean:
	dh_clean

override_dh_auto_build:

## sshfp 1.2.2

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 BIN     = $(DESTDIR)/usr/bin
 MAN     = $(DESTDIR)/usr/share/man/man1
 
-all: man
+all: man daneldnsx
 	
 install:
 	install -m 0755 -d $(BIN)
@@ -14,6 +14,7 @@
 	install -m 0755 -d $(MAN)
 	install -m 0644 sshfp.1 $(MAN)
 	install -m 0644 dane.1 $(MAN)
+	python -mcompileall daneldnsx.py
 	gzip $(MAN)/sshfp.1
 	gzip $(MAN)/dane.1
 
@@ -23,11 +24,14 @@
 dane.1: dane.1.xml
 	xmlto man dane.1.xml
 
+daneldnsx:
+	python -mcompileall daneldnsx.py
+	
 man:	man-page
 man-page: sshfp.1 dane.1
 
 clean:
-	-rm -f sshfp.1 dane.1
+	-rm -f sshfp.1 dane.1 daneldnsx.pyc
 
 dist-clean:
 	@echo Nothing to dist-clean - This is a python script

=== debian/changelog ===
sshfp (1.2.2-4) unstable; urgency=low

  * Fix previously applied patch - thanks to Armin Burchardt
    <armin@uni-bremen.de> (Closes: #681253) 
  * Add patch to actually make use of option -k - thanks to Casper Gielen
    <C.Gielen@uvt.nl> (Closes: #697844) 

 -- Julien Valroff <julien@debian.org>  Sat, 16 Feb 2013 09:04:50 +0100

sshfp (1.2.2-3) unstable; urgency=low

  * Drop unconditional dependency on python-argparse which was included in
    python 2.7 - thanks to Adrian Bunk <bunk@stusta.de> (Closes: #653639)
  * Update DEP-5 URI to the final location 
  * Apply patch to fix undefined variable - thanks to Ward Vandewege
    <ward@gnu.org> (Closes: #681253) 
  * Bump Standards-Version to 3.9.3 (no changes needed) 

 -- Julien Valroff <julien@debian.org>  Tue, 28 Feb 2012 18:48:02 +0100

sshfp (1.2.2-2) unstable; urgency=low

  * Update DEP-5 uri 
  * Ships daneldnsx.py and add a wrapper around dane (Closes: #648659) 
  * Add dependencies for dane 

 -- Julien Valroff <julien@debian.org>  Sun, 13 Nov 2011 21:24:26 +0100

sshfp (1.2.2-1) unstable; urgency=low

  * New upstream release:
    - Fix -4 / -6 flags
    - Throw errors on stderr to improve pipe usage
    - openSUSE package information on import error
    - Fix nameserver by IP address (ldns workaround)
    - Fix case where AAAA is found but no IPv6 is available
  * Fix watch file
  * Remove useless empty dh_auto_build override 
  * Remove X-Python-Version field as I am unsure which is the minimum
    supported python version 

 -- Julien Valroff <julien@debian.org>  Sat, 17 Sep 2011 08:20:07 +0200

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,13 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: debhelper (>= 8), python (>= 2.6.6-3)
 Homepage: http://www.xelerance.com/software/sshfp/
-X-Python-Version: all
 Vcs-Git: git://git.kirya.net/debian/sshfp
 Vcs-Browser: http://git.kirya.net/?p=debian/sshfp.git;a=summary
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 
 Package: sshfp
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python-dnspython, openssh-client, python-argparse
+Depends: ${misc:Depends}, ${python:Depends}, python-dnspython, openssh-client, python (>= 2.7) | python-argparse, python-ldns, python-ipcalc
 Description: DNS SSHFP records generator
  sshfp generates RFC4255 SSHFP DNS records based on the public keys stored in
  a known_hosts file, or public keys can be obtained by using ssh-keyscan.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python2

override_dh_auto_clean:
	dh_clean

=== debian/watch ===
version=3
opts=pasv ftp://ftp.xelerance.com/sshfp/sshfp-(.*)\.tar\.gz
